/*
 * config.c
 *
 *  Created on: Sep 18, 2010
 *      Author: Thomas Schmid
 */

#include "config.h"

void VREN_clr()
{
	MSS_GPIO_set_output(VREN, 0);
}

void VREN_set()
{
	MSS_GPIO_set_output(VREN, 1);
}

void RSTN_clr()
{
	MSS_GPIO_set_output(RSTN, 0);
}

void RSTN_set()
{
	MSS_GPIO_set_output(RSTN, 1);
}

uint8_t FIFO_get()
{
	return (MSS_GPIO_get_inputs()&FIFO_MASK)>>FIFO;
}

uint8_t FIFOP_get()
{
	return (MSS_GPIO_get_inputs()&FIFOP_MASK)>>FIFOP;
}

 uint8_t SFD_get()
{
	return (MSS_GPIO_get_inputs()&SFD_MASK)>>SFD;
}

 void SfdCapture_disable()
{
	MSS_GPIO_disable_irq(SFD);
}

void SfdCapture_captureRisingEdge()
{
	MSS_GPIO_config( SFD, MSS_GPIO_INPUT_MODE | MSS_GPIO_IRQ_EDGE_POSITIVE ); // sfd
	MSS_GPIO_enable_irq(SFD);
}

void SfdCapture_captureFallingEdge()
{
	MSS_GPIO_config( SFD, MSS_GPIO_INPUT_MODE | MSS_GPIO_IRQ_EDGE_NEGATIVE ); // sfd
	MSS_GPIO_enable_irq(SFD);
}
uint8_t CCA_get()
{
	return (MSS_GPIO_get_inputs()&CCA_MASK)>>CCA;
}

void busywait(uint32_t wait)
{
	uint32_t c = wait*CLOCKSPEED/1e6;
	while(c>0)
	{
        asm volatile ("    nop\n");
        c--;
	}
}

uint8_t isSpiAcquired()
{
	return TRUE;
}

uint8_t SpiResource_isOwner()
{
	return TRUE;
}
uint8_t SpiResource_release()
{
	return TRUE;
}
